# norootforbuild

Summary:		Video Codec based on wavelets
Name:			dirac
Version: 		1.0.2
Release:		15.9
Source:			http://prdownloads.sourceforge.net/dirac/dirac-%{version}.tar.gz
License:		MPL
Group:			Productivity/Multimedia/Other
Url:			http://sf.net/projects/dirac
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	doxygen
BuildRequires:	freefont
BuildRequires:	ghostscript
BuildRequires:	gcc-c++
BuildRequires:	graphviz
%if 0%{?suse_version} >= 1030
BuildRequires:	hpijs-standalone
BuildRequires:	texlive
BuildRequires:	texlive-latex
%else
BuildRequires:	te_latex
BuildRequires:	tetex
%endif
BuildRequires:	valgrind

%description
Dirac is an open source video codec.

It uses a traditional hybrid video codec architecture, but with the
wavelet transform instead of the usual block transforms. Motion
compensation uses overlapped blocks to reduce block artefacts that
would upset the transform coding stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards. These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package -n libdirac0
Group:		System/Libraries
Summary:	Shared library of the Dirac Video codec
Provides:	libdirac = 0.7.0
Obsoletes: 	libdirac <= 0.7.0

%description -n libdirac0
Dirac is an open source video codec.

It uses a traditional hybrid video codec architecture, but with the
wavelet transform instead of the usual block transforms. Motion
compensation uses overlapped blocks to reduce block artefacts that
would upset the transform coding stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards. These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package -n libdirac-devel
Group:		Development/Languages/C and C++
Summary:	Development files of the Dirac Video codec
Requires:	libdirac0 = %{version}

%description -n libdirac-devel
This package contains the files needed to compile programs that use
the libdirac library.

%package doc
Group:		Documentation/HTML
Summary:	Documentation for the Dirac Video codec

%description doc
Documentation for the Dirac Video codec.

%debug_package

%prep
%setup -q
%{?suse_update_config:%{suse_update_config -f}}

# fix line-endings of Docs
%__sed -i 's/\r//g' doc/*.html

%__install -pm 644 README \
	README.Dirac
%__install -pm 644 util/instrumentation/README \
	README.instrumentation

%build
%configure \
	--program-prefix=dirac_ \
	--program-transform-name=s,dirac_dirac_,dirac_, \
	--enable-overlay \
%ifarch x86_64
	--enable-mmx=no
%else
	--enable-mmx=yes
%endif

%__sed -i -e 's|-Werror||g' \
	decoder/Makefile
%__sed -i -e 's|-Werror||g' \
	libdirac_common/Makefile

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__install -dm 755 %{buildroot}%{_docdir}
%__mv %{buildroot}%{_datadir}/doc/%{name} \
	%{buildroot}%{_docdir}
%__install -m 644 AUTHORS COPYING ChangeLog NEWS README TODO \
		%{buildroot}%{_docdir}/%{name}

# Transform-name fix
%__mv %{buildroot}%{_bindir}/dirac_create_dirac_testfile.pl \
	%{buildroot}%{_bindir}/create_dirac_testfile.pl
%__sed -i -e 's|"RGBtoYUV"|"dirac_RGBtoYUV"|g' \
	%{buildroot}%{_bindir}/create_dirac_testfile.pl
%__sed -i -e 's|/home/guest/dirac-0.5.0/util/conversion|%{_bindir}|' \
	%{buildroot}%{_bindir}/create_dirac_testfile.pl

%__rm -f %{buildroot}%{_bindir}/dirac_unittest
find %{buildroot} -name '*.la' -exec %__rm -f {} ';'

# Move doc in docdir macro
%__mv %{buildroot}%{_docdir}/dirac __doc

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -n libdirac0 -p /sbin/ldconfig

%postun -n libdirac0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README.* TODO
%{_bindir}/%{name}_*
%{_bindir}/create_dirac_testfile.pl

%files -n libdirac0
%defattr(-,root,root)
%{_libdir}/libdirac*.so.*

%files -n libdirac-devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/libdirac*.a
%{_libdir}/libdirac*.so
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%defattr(-,root,root)
%doc __doc/*

%changelog
* Mon Jun 29 2009 Carsten Schoene <cs@linux-administrator.com> - 1.0.2-15
- update to release 1.0.2
* Sat Dec 27 2008 Carsten Schoene <cs@linux-administrator.com> - 1.0.0-3
- initial import
